jQuery(document).ready(function() {
  var xmasMusic = document.createElement('audio');
  var templateUrl = object_name.templateUrl;
  xmasMusic.setAttribute('src', templateUrl + '/audio/christmas-music.mp3');
  xmasMusic.setAttribute('autoplay', 'autoplay');
  xmasMusic.volume=0.3;

  jQuery.get();

  xmasMusic.addEventListener("load", function() {
    xmasMusic.play();
  }, true);

  xmasMusic.addEventListener('ended', function() {
      this.currentTime = 0;
      this.play();
  }, false);
  
  jQuery("body").append("<div id='sound_switcher'><i class='fa fa-play'></i><i class='fa fa-pause'></i></div>");


jQuery('#sound_switcher').click(function() {
  if (xmasMusic.paused == false) {
    xmasMusic.pause();
    jQuery('#sound_switcher').addClass("play_sound_switcher");
    } 
  else {
    xmasMusic.play();
    jQuery('#sound_switcher').removeClass("play_sound_switcher");
    }
});


});